;InnoSetupVersion=4.2.6

[Setup]
AppName=ERUNT
AppVerName=ERUNT 1.1e
AppId=ERUNT
AppPublisher=Lars Hederer
AppPublisherURL=http://home.t-online.de/home/lars.hederer/erunt
AppSupportURL=http://home.t-online.de/home/lars.hederer/erunt
AppUpdatesURL=http://home.t-online.de/home/lars.hederer/erunt
DefaultDirName={pf}\ERUNT
DefaultGroupName=ERUNT
OutputBaseFilename=erunt-setup
Compression=lzma
PrivilegesRequired=none
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\ERDNT.E_E"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ERDNTDOS.LOC"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ERDNTWIN.LOC"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ERUNT.EXE"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ERUNT.LOC"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\LIESMICH.TXT"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\LOC_GER.ZIP"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\NTREGOPT.EXE"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\NTREGOPT.LOC"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\README.TXT"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{tmp}\UNZIP.EXE"; DestDir: "{tmp}"; Flags: deleteafterinstall ignoreversion 

[INI]
FileName: "{app}\ERUNT.URL"; Section: "InternetShortcut"; Key: "URL"; String: "http://home.t-online.de/home/lars.hederer/erunt"; 

[Run]
Filename: "{tmp}\UNZIP.EXE"; Parameters: "-qq -o loc_ger.zip"; WorkingDir: "{app}"; Tasks: installgermanlanguagefiles; 
Filename: "{app}\ERUNT.EXE"; Description: "{cm:LaunchProgram,ERUNT}"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\ERUNT"; Filename: "{app}\ERUNT.EXE"; 
Name: "{group}\NTREGOPT"; Filename: "{app}\NTREGOPT.EXE"; 
Name: "{group}\Documentation"; Filename: "{app}\README.TXT"; 
Name: "{group}\Deutsche Dokumentation"; Filename: "{app}\LIESMICH.TXT"; Tasks: installgermanlanguagefiles; 
Name: "{group}\ERUNT Homepage"; Filename: "{app}\ERUNT.URL"; 
Name: "{group}\Uninstall ERUNT"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\ERUNT"; Filename: "{app}\ERUNT.EXE"; Tasks: eruntdesktopicon; 
Name: "{userdesktop}\NTREGOPT"; Filename: "{app}\NTREGOPT.EXE"; Tasks: ntregoptdesktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\ERUNT"; Filename: "{app}\ERUNT.EXE"; Tasks: eruntquicklaunchicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\NTREGOPT"; Filename: "{app}\NTREGOPT.EXE"; Tasks: ntregoptquicklaunchicon; 
Name: "{userstartup}\ERUNT"; Filename: "{app}\ERUNT.EXE"; Parameters: "%SystemRoot%\ERDNT\#Date# /noconfirmdelete /noprogresswindow"; Check: "AskStartup"; 

[Tasks]
Name: "eruntdesktopicon"; Description: "{cm:CreateERUNTDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 
Name: "ntregoptdesktopicon"; Description: "{cm:CreateNTREGOPTDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 
Name: "eruntquicklaunchicon"; Description: "{cm:CreateERUNTQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 
Name: "ntregoptquicklaunchicon"; Description: "{cm:CreateNTREGOPTQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 
Name: "installgermanlanguagefiles"; Description: "{cm:InstallGermanLanguageFiles}"; GroupDescription: "{cm:LanguageOptions}"; Languages: "de"; 
Name: "installgermanlanguagefiles"; Description: "{cm:InstallGermanLanguageFiles}"; GroupDescription: "{cm:LanguageOptions}"; Languages: "en"; 

[UninstallDelete]
Type: files; Name: "{app}\ERUNT.URL"; 
Type: files; Name: "{app}\ERUNT.INI"; 
Type: files; Name: "{app}\ERUNTDBG.TXT"; 
Type: files; Name: "{app}\NTROPDBG.TXT"; 

[CustomMessages]
en.NameAndVersion=%1 version %2
en.AdditionalIcons=Additional icons:
en.CreateDesktopIcon=Create a &desktop icon
en.CreateQuickLaunchIcon=Create a &Quick Launch icon
en.ProgramOnTheWeb=%1 on the Web
en.UninstallProgram=Uninstall %1
en.LaunchProgram=Launch %1
en.AssocFileExtension=&Associate %1 with the %2 file extension
en.AssocingFileExtension=Associating %1 with the %2 file extension...
de.NameAndVersion=%1 Version %2
de.AdditionalIcons=Zustzliche Symbole:
de.CreateDesktopIcon=&Desktop-Symbol anlegen
de.CreateQuickLaunchIcon=Symbol in der Schnellstartleiste anlegen
de.ProgramOnTheWeb=%1 im Internet
de.UninstallProgram=%1 entfernen
de.LaunchProgram=%1 starten
de.AssocFileExtension=&Registriere %1 mit der %2-Dateierweiterung
de.AssocingFileExtension=%1 wird mit der %2-Dateierweiterung registriert...
en.CreateERUNTDesktopIcon=Create &ERUNT desktop icon
en.CreateNTREGOPTDesktopIcon=Create NTREG&OPT desktop icon
en.CreateERUNTQuickLaunchIcon=Create E&RUNT Quick Launch icon
en.CreateNTREGOPTQuickLaunchIcon=Create N&TREGOPT Quick Launch icon
en.LanguageOptions=Language options:
en.InstallGermanLanguageFiles=Install &German language files
de.CreateERUNTDesktopIcon=Desktop-Symbol fr &ERUNT anlegen
de.CreateNTREGOPTDesktopIcon=Desktop-Symbol fr NTREG&OPT anlegen
de.CreateERUNTQuickLaunchIcon=Symbol fr E&RUNT in der Schnellstartleiste anlegen
de.CreateNTREGOPTQuickLaunchIcon=Symbol fr N&TREGOPT in der Schnellstartleiste anlegen
de.LanguageOptions=Sprachoptionen:
de.InstallGermanLanguageFiles=Deutsche S&prachdateien installieren

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "en"; MessagesFile: "embedded\en.isl"; 
Name: "de"; MessagesFile: "embedded\de.isl"; 
